
import { container } from '../container'
import { ControllerResponse } from '.'
import Container from '../container'
import { AddCampaignDTO } from '../DAO/CampaignDAO'

export default class CampaignController {
  protected container: Container

  constructor() {
    this.container = container
  }

  fetchCampaigns(): Promise<ControllerResponse> {
    return this.container.campaignDAO.fetchCampaigns()
  }

  fetchByUser(userId: string): Promise<ControllerResponse> {
    return this.container.campaignDAO.fetchByUser(userId)
  }

  fetchByCampaignId(campaignId: string): Promise<ControllerResponse> {
    return this.container.campaignDAO.fetchByCampaignId(campaignId)
  }

  addCampaign(donationEntity: AddCampaignDTO): Promise<ControllerResponse> {
    return this.container.campaignDAO.addCampaign(donationEntity)
  }
}
